/*******************************************************************************
* File Name: AL_ERR.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AL_ERR_H) /* Pins AL_ERR_H */
#define CY_PINS_AL_ERR_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AL_ERR_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AL_ERR_Write(uint8 value) ;
void    AL_ERR_SetDriveMode(uint8 mode) ;
uint8   AL_ERR_ReadDataReg(void) ;
uint8   AL_ERR_Read(void) ;
uint8   AL_ERR_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AL_ERR_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define AL_ERR_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define AL_ERR_DM_RES_UP          PIN_DM_RES_UP
#define AL_ERR_DM_RES_DWN         PIN_DM_RES_DWN
#define AL_ERR_DM_OD_LO           PIN_DM_OD_LO
#define AL_ERR_DM_OD_HI           PIN_DM_OD_HI
#define AL_ERR_DM_STRONG          PIN_DM_STRONG
#define AL_ERR_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define AL_ERR_MASK               AL_ERR__MASK
#define AL_ERR_SHIFT              AL_ERR__SHIFT
#define AL_ERR_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AL_ERR_PS                     (* (reg8 *) AL_ERR__PS)
/* Data Register */
#define AL_ERR_DR                     (* (reg8 *) AL_ERR__DR)
/* Port Number */
#define AL_ERR_PRT_NUM                (* (reg8 *) AL_ERR__PRT) 
/* Connect to Analog Globals */                                                  
#define AL_ERR_AG                     (* (reg8 *) AL_ERR__AG)                       
/* Analog MUX bux enable */
#define AL_ERR_AMUX                   (* (reg8 *) AL_ERR__AMUX) 
/* Bidirectional Enable */                                                        
#define AL_ERR_BIE                    (* (reg8 *) AL_ERR__BIE)
/* Bit-mask for Aliased Register Access */
#define AL_ERR_BIT_MASK               (* (reg8 *) AL_ERR__BIT_MASK)
/* Bypass Enable */
#define AL_ERR_BYP                    (* (reg8 *) AL_ERR__BYP)
/* Port wide control signals */                                                   
#define AL_ERR_CTL                    (* (reg8 *) AL_ERR__CTL)
/* Drive Modes */
#define AL_ERR_DM0                    (* (reg8 *) AL_ERR__DM0) 
#define AL_ERR_DM1                    (* (reg8 *) AL_ERR__DM1)
#define AL_ERR_DM2                    (* (reg8 *) AL_ERR__DM2) 
/* Input Buffer Disable Override */
#define AL_ERR_INP_DIS                (* (reg8 *) AL_ERR__INP_DIS)
/* LCD Common or Segment Drive */
#define AL_ERR_LCD_COM_SEG            (* (reg8 *) AL_ERR__LCD_COM_SEG)
/* Enable Segment LCD */
#define AL_ERR_LCD_EN                 (* (reg8 *) AL_ERR__LCD_EN)
/* Slew Rate Control */
#define AL_ERR_SLW                    (* (reg8 *) AL_ERR__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AL_ERR_PRTDSI__CAPS_SEL       (* (reg8 *) AL_ERR__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AL_ERR_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AL_ERR__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AL_ERR_PRTDSI__OE_SEL0        (* (reg8 *) AL_ERR__PRTDSI__OE_SEL0) 
#define AL_ERR_PRTDSI__OE_SEL1        (* (reg8 *) AL_ERR__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AL_ERR_PRTDSI__OUT_SEL0       (* (reg8 *) AL_ERR__PRTDSI__OUT_SEL0) 
#define AL_ERR_PRTDSI__OUT_SEL1       (* (reg8 *) AL_ERR__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AL_ERR_PRTDSI__SYNC_OUT       (* (reg8 *) AL_ERR__PRTDSI__SYNC_OUT) 


#if defined(AL_ERR__INTSTAT)  /* Interrupt Registers */

    #define AL_ERR_INTSTAT                (* (reg8 *) AL_ERR__INTSTAT)
    #define AL_ERR_SNAP                   (* (reg8 *) AL_ERR__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins AL_ERR_H */


/* [] END OF FILE */
