/*******************************************************************************
* File Name: AN_4.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN_4_H) /* Pins AN_4_H */
#define CY_PINS_AN_4_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN_4_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AN_4_Write(uint8 value) ;
void    AN_4_SetDriveMode(uint8 mode) ;
uint8   AN_4_ReadDataReg(void) ;
uint8   AN_4_Read(void) ;
uint8   AN_4_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AN_4_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define AN_4_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define AN_4_DM_RES_UP          PIN_DM_RES_UP
#define AN_4_DM_RES_DWN         PIN_DM_RES_DWN
#define AN_4_DM_OD_LO           PIN_DM_OD_LO
#define AN_4_DM_OD_HI           PIN_DM_OD_HI
#define AN_4_DM_STRONG          PIN_DM_STRONG
#define AN_4_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define AN_4_MASK               AN_4__MASK
#define AN_4_SHIFT              AN_4__SHIFT
#define AN_4_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN_4_PS                     (* (reg8 *) AN_4__PS)
/* Data Register */
#define AN_4_DR                     (* (reg8 *) AN_4__DR)
/* Port Number */
#define AN_4_PRT_NUM                (* (reg8 *) AN_4__PRT) 
/* Connect to Analog Globals */                                                  
#define AN_4_AG                     (* (reg8 *) AN_4__AG)                       
/* Analog MUX bux enable */
#define AN_4_AMUX                   (* (reg8 *) AN_4__AMUX) 
/* Bidirectional Enable */                                                        
#define AN_4_BIE                    (* (reg8 *) AN_4__BIE)
/* Bit-mask for Aliased Register Access */
#define AN_4_BIT_MASK               (* (reg8 *) AN_4__BIT_MASK)
/* Bypass Enable */
#define AN_4_BYP                    (* (reg8 *) AN_4__BYP)
/* Port wide control signals */                                                   
#define AN_4_CTL                    (* (reg8 *) AN_4__CTL)
/* Drive Modes */
#define AN_4_DM0                    (* (reg8 *) AN_4__DM0) 
#define AN_4_DM1                    (* (reg8 *) AN_4__DM1)
#define AN_4_DM2                    (* (reg8 *) AN_4__DM2) 
/* Input Buffer Disable Override */
#define AN_4_INP_DIS                (* (reg8 *) AN_4__INP_DIS)
/* LCD Common or Segment Drive */
#define AN_4_LCD_COM_SEG            (* (reg8 *) AN_4__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN_4_LCD_EN                 (* (reg8 *) AN_4__LCD_EN)
/* Slew Rate Control */
#define AN_4_SLW                    (* (reg8 *) AN_4__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN_4_PRTDSI__CAPS_SEL       (* (reg8 *) AN_4__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN_4_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN_4__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN_4_PRTDSI__OE_SEL0        (* (reg8 *) AN_4__PRTDSI__OE_SEL0) 
#define AN_4_PRTDSI__OE_SEL1        (* (reg8 *) AN_4__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN_4_PRTDSI__OUT_SEL0       (* (reg8 *) AN_4__PRTDSI__OUT_SEL0) 
#define AN_4_PRTDSI__OUT_SEL1       (* (reg8 *) AN_4__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN_4_PRTDSI__SYNC_OUT       (* (reg8 *) AN_4__PRTDSI__SYNC_OUT) 


#if defined(AN_4__INTSTAT)  /* Interrupt Registers */

    #define AN_4_INTSTAT                (* (reg8 *) AN_4__INTSTAT)
    #define AN_4_SNAP                   (* (reg8 *) AN_4__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins AN_4_H */


/* [] END OF FILE */
