/*******************************************************************************
* File Name: AN_5.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_AN_5_H) /* Pins AN_5_H */
#define CY_PINS_AN_5_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "AN_5_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    AN_5_Write(uint8 value) ;
void    AN_5_SetDriveMode(uint8 mode) ;
uint8   AN_5_ReadDataReg(void) ;
uint8   AN_5_Read(void) ;
uint8   AN_5_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define AN_5_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define AN_5_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define AN_5_DM_RES_UP          PIN_DM_RES_UP
#define AN_5_DM_RES_DWN         PIN_DM_RES_DWN
#define AN_5_DM_OD_LO           PIN_DM_OD_LO
#define AN_5_DM_OD_HI           PIN_DM_OD_HI
#define AN_5_DM_STRONG          PIN_DM_STRONG
#define AN_5_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define AN_5_MASK               AN_5__MASK
#define AN_5_SHIFT              AN_5__SHIFT
#define AN_5_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define AN_5_PS                     (* (reg8 *) AN_5__PS)
/* Data Register */
#define AN_5_DR                     (* (reg8 *) AN_5__DR)
/* Port Number */
#define AN_5_PRT_NUM                (* (reg8 *) AN_5__PRT) 
/* Connect to Analog Globals */                                                  
#define AN_5_AG                     (* (reg8 *) AN_5__AG)                       
/* Analog MUX bux enable */
#define AN_5_AMUX                   (* (reg8 *) AN_5__AMUX) 
/* Bidirectional Enable */                                                        
#define AN_5_BIE                    (* (reg8 *) AN_5__BIE)
/* Bit-mask for Aliased Register Access */
#define AN_5_BIT_MASK               (* (reg8 *) AN_5__BIT_MASK)
/* Bypass Enable */
#define AN_5_BYP                    (* (reg8 *) AN_5__BYP)
/* Port wide control signals */                                                   
#define AN_5_CTL                    (* (reg8 *) AN_5__CTL)
/* Drive Modes */
#define AN_5_DM0                    (* (reg8 *) AN_5__DM0) 
#define AN_5_DM1                    (* (reg8 *) AN_5__DM1)
#define AN_5_DM2                    (* (reg8 *) AN_5__DM2) 
/* Input Buffer Disable Override */
#define AN_5_INP_DIS                (* (reg8 *) AN_5__INP_DIS)
/* LCD Common or Segment Drive */
#define AN_5_LCD_COM_SEG            (* (reg8 *) AN_5__LCD_COM_SEG)
/* Enable Segment LCD */
#define AN_5_LCD_EN                 (* (reg8 *) AN_5__LCD_EN)
/* Slew Rate Control */
#define AN_5_SLW                    (* (reg8 *) AN_5__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define AN_5_PRTDSI__CAPS_SEL       (* (reg8 *) AN_5__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define AN_5_PRTDSI__DBL_SYNC_IN    (* (reg8 *) AN_5__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define AN_5_PRTDSI__OE_SEL0        (* (reg8 *) AN_5__PRTDSI__OE_SEL0) 
#define AN_5_PRTDSI__OE_SEL1        (* (reg8 *) AN_5__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define AN_5_PRTDSI__OUT_SEL0       (* (reg8 *) AN_5__PRTDSI__OUT_SEL0) 
#define AN_5_PRTDSI__OUT_SEL1       (* (reg8 *) AN_5__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define AN_5_PRTDSI__SYNC_OUT       (* (reg8 *) AN_5__PRTDSI__SYNC_OUT) 


#if defined(AN_5__INTSTAT)  /* Interrupt Registers */

    #define AN_5_INTSTAT                (* (reg8 *) AN_5__INTSTAT)
    #define AN_5_SNAP                   (* (reg8 *) AN_5__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins AN_5_H */


/* [] END OF FILE */
