/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

//#include "DC_Motor_1.h"
#include <project.h>

#define DIRECTION_BIT   1
#define SLEEP_BIT       2

int8 DC_Motor_1_controlRegValue = 0;

CY_ISR( DC_Motor_1_ISR1)
{

}


void  DC_Motor_1_Start()
{
    DC_Motor_1_PWM_WritePeriod(4095);
    DC_Motor_1_PWM_WriteCompare(0);
    DC_Motor_1_PWM_Start();
    DC_Motor_1_PWM_WritePeriod(4095);
    DC_Motor_1_PWM_WriteCompare(0);
    
    DC_Motor_1_QuadDec_Start();
//    DC_Motor_1_QuadDec_TriggerCommand(DC_Motor_1_QuadDec_MASK, DC_Motor_1_QuadDec_CMD_RELOAD);
    
    DC_Motor_1_Status_Reg_Read();      // Clear the sticky bits in the status register.
}

void  DC_Motor_1_Set_Motor_Power(uint16 on_time)
{
    DC_Motor_1_controlRegValue &= !SLEEP_BIT;
    if (on_time < 0)
    {
        DC_Motor_1_controlRegValue |= DIRECTION_BIT;
        DC_Motor_1_Control_Reg_Write(DC_Motor_1_controlRegValue);
        DC_Motor_1_PWM_WriteCompare(-on_time);
    }
    else
    {
        DC_Motor_1_controlRegValue &= !DIRECTION_BIT;
        DC_Motor_1_Control_Reg_Write(DC_Motor_1_controlRegValue);
        DC_Motor_1_PWM_WriteCompare(on_time);
    }
}

void  DC_Motor_1_Setup_PWM(uint16 period)
{
    DC_Motor_1_PWM_WritePeriod(period);
}

int16 DC_Motor_1_Get_QuadDec()
{
    return DC_Motor_1_QuadDec_GetCounter();
}

/* [] END OF FILE */
