/*******************************************************************************
* File Name: DC_Motor_2_QR_Interrupt.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_ISR_DC_Motor_2_QR_Interrupt_H)
#define CY_ISR_DC_Motor_2_QR_Interrupt_H

#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void DC_Motor_2_QR_Interrupt_Start(void) ;
void DC_Motor_2_QR_Interrupt_StartEx(cyisraddress address) ;
void DC_Motor_2_QR_Interrupt_Stop(void) ;

CY_ISR_PROTO(DC_Motor_2_QR_Interrupt_Interrupt);

void DC_Motor_2_QR_Interrupt_SetVector(cyisraddress address) ;
cyisraddress DC_Motor_2_QR_Interrupt_GetVector(void) ;

void DC_Motor_2_QR_Interrupt_SetPriority(uint8 priority) ;
uint8 DC_Motor_2_QR_Interrupt_GetPriority(void) ;

void DC_Motor_2_QR_Interrupt_Enable(void) ;
uint8 DC_Motor_2_QR_Interrupt_GetState(void) ;
void DC_Motor_2_QR_Interrupt_Disable(void) ;

void DC_Motor_2_QR_Interrupt_SetPending(void) ;
void DC_Motor_2_QR_Interrupt_ClearPending(void) ;


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the DC_Motor_2_QR_Interrupt ISR. */
#define DC_Motor_2_QR_Interrupt_INTC_VECTOR            ((reg16 *) DC_Motor_2_QR_Interrupt__INTC_VECT)

/* Address of the DC_Motor_2_QR_Interrupt ISR priority. */
#define DC_Motor_2_QR_Interrupt_INTC_PRIOR             ((reg8 *) DC_Motor_2_QR_Interrupt__INTC_PRIOR_REG)

/* Priority of the DC_Motor_2_QR_Interrupt interrupt. */
#define DC_Motor_2_QR_Interrupt_INTC_PRIOR_NUMBER      DC_Motor_2_QR_Interrupt__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable DC_Motor_2_QR_Interrupt interrupt. */
#define DC_Motor_2_QR_Interrupt_INTC_SET_EN            ((reg8 *) DC_Motor_2_QR_Interrupt__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the DC_Motor_2_QR_Interrupt interrupt. */
#define DC_Motor_2_QR_Interrupt_INTC_CLR_EN            ((reg8 *) DC_Motor_2_QR_Interrupt__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the DC_Motor_2_QR_Interrupt interrupt state to pending. */
#define DC_Motor_2_QR_Interrupt_INTC_SET_PD            ((reg8 *) DC_Motor_2_QR_Interrupt__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the DC_Motor_2_QR_Interrupt interrupt. */
#define DC_Motor_2_QR_Interrupt_INTC_CLR_PD            ((reg8 *) DC_Motor_2_QR_Interrupt__INTC_CLR_PD_REG)



#endif /* CY_ISR_DC_Motor_2_QR_Interrupt_H */


/* [] END OF FILE */
