/*******************************************************************************
* File Name: DIG_IO_0.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DIG_IO_0_H) /* Pins DIG_IO_0_H */
#define CY_PINS_DIG_IO_0_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DIG_IO_0_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DIG_IO_0_Write(uint8 value) ;
void    DIG_IO_0_SetDriveMode(uint8 mode) ;
uint8   DIG_IO_0_ReadDataReg(void) ;
uint8   DIG_IO_0_Read(void) ;
uint8   DIG_IO_0_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DIG_IO_0_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DIG_IO_0_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DIG_IO_0_DM_RES_UP          PIN_DM_RES_UP
#define DIG_IO_0_DM_RES_DWN         PIN_DM_RES_DWN
#define DIG_IO_0_DM_OD_LO           PIN_DM_OD_LO
#define DIG_IO_0_DM_OD_HI           PIN_DM_OD_HI
#define DIG_IO_0_DM_STRONG          PIN_DM_STRONG
#define DIG_IO_0_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DIG_IO_0_MASK               DIG_IO_0__MASK
#define DIG_IO_0_SHIFT              DIG_IO_0__SHIFT
#define DIG_IO_0_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DIG_IO_0_PS                     (* (reg8 *) DIG_IO_0__PS)
/* Data Register */
#define DIG_IO_0_DR                     (* (reg8 *) DIG_IO_0__DR)
/* Port Number */
#define DIG_IO_0_PRT_NUM                (* (reg8 *) DIG_IO_0__PRT) 
/* Connect to Analog Globals */                                                  
#define DIG_IO_0_AG                     (* (reg8 *) DIG_IO_0__AG)                       
/* Analog MUX bux enable */
#define DIG_IO_0_AMUX                   (* (reg8 *) DIG_IO_0__AMUX) 
/* Bidirectional Enable */                                                        
#define DIG_IO_0_BIE                    (* (reg8 *) DIG_IO_0__BIE)
/* Bit-mask for Aliased Register Access */
#define DIG_IO_0_BIT_MASK               (* (reg8 *) DIG_IO_0__BIT_MASK)
/* Bypass Enable */
#define DIG_IO_0_BYP                    (* (reg8 *) DIG_IO_0__BYP)
/* Port wide control signals */                                                   
#define DIG_IO_0_CTL                    (* (reg8 *) DIG_IO_0__CTL)
/* Drive Modes */
#define DIG_IO_0_DM0                    (* (reg8 *) DIG_IO_0__DM0) 
#define DIG_IO_0_DM1                    (* (reg8 *) DIG_IO_0__DM1)
#define DIG_IO_0_DM2                    (* (reg8 *) DIG_IO_0__DM2) 
/* Input Buffer Disable Override */
#define DIG_IO_0_INP_DIS                (* (reg8 *) DIG_IO_0__INP_DIS)
/* LCD Common or Segment Drive */
#define DIG_IO_0_LCD_COM_SEG            (* (reg8 *) DIG_IO_0__LCD_COM_SEG)
/* Enable Segment LCD */
#define DIG_IO_0_LCD_EN                 (* (reg8 *) DIG_IO_0__LCD_EN)
/* Slew Rate Control */
#define DIG_IO_0_SLW                    (* (reg8 *) DIG_IO_0__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DIG_IO_0_PRTDSI__CAPS_SEL       (* (reg8 *) DIG_IO_0__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DIG_IO_0_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DIG_IO_0__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DIG_IO_0_PRTDSI__OE_SEL0        (* (reg8 *) DIG_IO_0__PRTDSI__OE_SEL0) 
#define DIG_IO_0_PRTDSI__OE_SEL1        (* (reg8 *) DIG_IO_0__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DIG_IO_0_PRTDSI__OUT_SEL0       (* (reg8 *) DIG_IO_0__PRTDSI__OUT_SEL0) 
#define DIG_IO_0_PRTDSI__OUT_SEL1       (* (reg8 *) DIG_IO_0__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DIG_IO_0_PRTDSI__SYNC_OUT       (* (reg8 *) DIG_IO_0__PRTDSI__SYNC_OUT) 


#if defined(DIG_IO_0__INTSTAT)  /* Interrupt Registers */

    #define DIG_IO_0_INTSTAT                (* (reg8 *) DIG_IO_0__INTSTAT)
    #define DIG_IO_0_SNAP                   (* (reg8 *) DIG_IO_0__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DIG_IO_0_H */


/* [] END OF FILE */
