/*******************************************************************************
* File Name: DIG_IO_1.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_DIG_IO_1_H) /* Pins DIG_IO_1_H */
#define CY_PINS_DIG_IO_1_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "DIG_IO_1_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    DIG_IO_1_Write(uint8 value) ;
void    DIG_IO_1_SetDriveMode(uint8 mode) ;
uint8   DIG_IO_1_ReadDataReg(void) ;
uint8   DIG_IO_1_Read(void) ;
uint8   DIG_IO_1_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define DIG_IO_1_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define DIG_IO_1_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define DIG_IO_1_DM_RES_UP          PIN_DM_RES_UP
#define DIG_IO_1_DM_RES_DWN         PIN_DM_RES_DWN
#define DIG_IO_1_DM_OD_LO           PIN_DM_OD_LO
#define DIG_IO_1_DM_OD_HI           PIN_DM_OD_HI
#define DIG_IO_1_DM_STRONG          PIN_DM_STRONG
#define DIG_IO_1_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define DIG_IO_1_MASK               DIG_IO_1__MASK
#define DIG_IO_1_SHIFT              DIG_IO_1__SHIFT
#define DIG_IO_1_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define DIG_IO_1_PS                     (* (reg8 *) DIG_IO_1__PS)
/* Data Register */
#define DIG_IO_1_DR                     (* (reg8 *) DIG_IO_1__DR)
/* Port Number */
#define DIG_IO_1_PRT_NUM                (* (reg8 *) DIG_IO_1__PRT) 
/* Connect to Analog Globals */                                                  
#define DIG_IO_1_AG                     (* (reg8 *) DIG_IO_1__AG)                       
/* Analog MUX bux enable */
#define DIG_IO_1_AMUX                   (* (reg8 *) DIG_IO_1__AMUX) 
/* Bidirectional Enable */                                                        
#define DIG_IO_1_BIE                    (* (reg8 *) DIG_IO_1__BIE)
/* Bit-mask for Aliased Register Access */
#define DIG_IO_1_BIT_MASK               (* (reg8 *) DIG_IO_1__BIT_MASK)
/* Bypass Enable */
#define DIG_IO_1_BYP                    (* (reg8 *) DIG_IO_1__BYP)
/* Port wide control signals */                                                   
#define DIG_IO_1_CTL                    (* (reg8 *) DIG_IO_1__CTL)
/* Drive Modes */
#define DIG_IO_1_DM0                    (* (reg8 *) DIG_IO_1__DM0) 
#define DIG_IO_1_DM1                    (* (reg8 *) DIG_IO_1__DM1)
#define DIG_IO_1_DM2                    (* (reg8 *) DIG_IO_1__DM2) 
/* Input Buffer Disable Override */
#define DIG_IO_1_INP_DIS                (* (reg8 *) DIG_IO_1__INP_DIS)
/* LCD Common or Segment Drive */
#define DIG_IO_1_LCD_COM_SEG            (* (reg8 *) DIG_IO_1__LCD_COM_SEG)
/* Enable Segment LCD */
#define DIG_IO_1_LCD_EN                 (* (reg8 *) DIG_IO_1__LCD_EN)
/* Slew Rate Control */
#define DIG_IO_1_SLW                    (* (reg8 *) DIG_IO_1__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define DIG_IO_1_PRTDSI__CAPS_SEL       (* (reg8 *) DIG_IO_1__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define DIG_IO_1_PRTDSI__DBL_SYNC_IN    (* (reg8 *) DIG_IO_1__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define DIG_IO_1_PRTDSI__OE_SEL0        (* (reg8 *) DIG_IO_1__PRTDSI__OE_SEL0) 
#define DIG_IO_1_PRTDSI__OE_SEL1        (* (reg8 *) DIG_IO_1__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define DIG_IO_1_PRTDSI__OUT_SEL0       (* (reg8 *) DIG_IO_1__PRTDSI__OUT_SEL0) 
#define DIG_IO_1_PRTDSI__OUT_SEL1       (* (reg8 *) DIG_IO_1__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define DIG_IO_1_PRTDSI__SYNC_OUT       (* (reg8 *) DIG_IO_1__PRTDSI__SYNC_OUT) 


#if defined(DIG_IO_1__INTSTAT)  /* Interrupt Registers */

    #define DIG_IO_1_INTSTAT                (* (reg8 *) DIG_IO_1__INTSTAT)
    #define DIG_IO_1_SNAP                   (* (reg8 *) DIG_IO_1__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins DIG_IO_1_H */


/* [] END OF FILE */
