/*******************************************************************************
* File Name: EC_MOSI.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_EC_MOSI_H) /* Pins EC_MOSI_H */
#define CY_PINS_EC_MOSI_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "EC_MOSI_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    EC_MOSI_Write(uint8 value) ;
void    EC_MOSI_SetDriveMode(uint8 mode) ;
uint8   EC_MOSI_ReadDataReg(void) ;
uint8   EC_MOSI_Read(void) ;
uint8   EC_MOSI_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define EC_MOSI_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define EC_MOSI_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define EC_MOSI_DM_RES_UP          PIN_DM_RES_UP
#define EC_MOSI_DM_RES_DWN         PIN_DM_RES_DWN
#define EC_MOSI_DM_OD_LO           PIN_DM_OD_LO
#define EC_MOSI_DM_OD_HI           PIN_DM_OD_HI
#define EC_MOSI_DM_STRONG          PIN_DM_STRONG
#define EC_MOSI_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define EC_MOSI_MASK               EC_MOSI__MASK
#define EC_MOSI_SHIFT              EC_MOSI__SHIFT
#define EC_MOSI_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define EC_MOSI_PS                     (* (reg8 *) EC_MOSI__PS)
/* Data Register */
#define EC_MOSI_DR                     (* (reg8 *) EC_MOSI__DR)
/* Port Number */
#define EC_MOSI_PRT_NUM                (* (reg8 *) EC_MOSI__PRT) 
/* Connect to Analog Globals */                                                  
#define EC_MOSI_AG                     (* (reg8 *) EC_MOSI__AG)                       
/* Analog MUX bux enable */
#define EC_MOSI_AMUX                   (* (reg8 *) EC_MOSI__AMUX) 
/* Bidirectional Enable */                                                        
#define EC_MOSI_BIE                    (* (reg8 *) EC_MOSI__BIE)
/* Bit-mask for Aliased Register Access */
#define EC_MOSI_BIT_MASK               (* (reg8 *) EC_MOSI__BIT_MASK)
/* Bypass Enable */
#define EC_MOSI_BYP                    (* (reg8 *) EC_MOSI__BYP)
/* Port wide control signals */                                                   
#define EC_MOSI_CTL                    (* (reg8 *) EC_MOSI__CTL)
/* Drive Modes */
#define EC_MOSI_DM0                    (* (reg8 *) EC_MOSI__DM0) 
#define EC_MOSI_DM1                    (* (reg8 *) EC_MOSI__DM1)
#define EC_MOSI_DM2                    (* (reg8 *) EC_MOSI__DM2) 
/* Input Buffer Disable Override */
#define EC_MOSI_INP_DIS                (* (reg8 *) EC_MOSI__INP_DIS)
/* LCD Common or Segment Drive */
#define EC_MOSI_LCD_COM_SEG            (* (reg8 *) EC_MOSI__LCD_COM_SEG)
/* Enable Segment LCD */
#define EC_MOSI_LCD_EN                 (* (reg8 *) EC_MOSI__LCD_EN)
/* Slew Rate Control */
#define EC_MOSI_SLW                    (* (reg8 *) EC_MOSI__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define EC_MOSI_PRTDSI__CAPS_SEL       (* (reg8 *) EC_MOSI__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define EC_MOSI_PRTDSI__DBL_SYNC_IN    (* (reg8 *) EC_MOSI__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define EC_MOSI_PRTDSI__OE_SEL0        (* (reg8 *) EC_MOSI__PRTDSI__OE_SEL0) 
#define EC_MOSI_PRTDSI__OE_SEL1        (* (reg8 *) EC_MOSI__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define EC_MOSI_PRTDSI__OUT_SEL0       (* (reg8 *) EC_MOSI__PRTDSI__OUT_SEL0) 
#define EC_MOSI_PRTDSI__OUT_SEL1       (* (reg8 *) EC_MOSI__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define EC_MOSI_PRTDSI__SYNC_OUT       (* (reg8 *) EC_MOSI__PRTDSI__SYNC_OUT) 


#if defined(EC_MOSI__INTSTAT)  /* Interrupt Registers */

    #define EC_MOSI_INTSTAT                (* (reg8 *) EC_MOSI__INTSTAT)
    #define EC_MOSI_SNAP                   (* (reg8 *) EC_MOSI__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins EC_MOSI_H */


/* [] END OF FILE */
