/*******************************************************************************
* File Name: EC_SCL.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_EC_SCL_H) /* Pins EC_SCL_H */
#define CY_PINS_EC_SCL_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "EC_SCL_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    EC_SCL_Write(uint8 value) ;
void    EC_SCL_SetDriveMode(uint8 mode) ;
uint8   EC_SCL_ReadDataReg(void) ;
uint8   EC_SCL_Read(void) ;
uint8   EC_SCL_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define EC_SCL_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define EC_SCL_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define EC_SCL_DM_RES_UP          PIN_DM_RES_UP
#define EC_SCL_DM_RES_DWN         PIN_DM_RES_DWN
#define EC_SCL_DM_OD_LO           PIN_DM_OD_LO
#define EC_SCL_DM_OD_HI           PIN_DM_OD_HI
#define EC_SCL_DM_STRONG          PIN_DM_STRONG
#define EC_SCL_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define EC_SCL_MASK               EC_SCL__MASK
#define EC_SCL_SHIFT              EC_SCL__SHIFT
#define EC_SCL_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define EC_SCL_PS                     (* (reg8 *) EC_SCL__PS)
/* Data Register */
#define EC_SCL_DR                     (* (reg8 *) EC_SCL__DR)
/* Port Number */
#define EC_SCL_PRT_NUM                (* (reg8 *) EC_SCL__PRT) 
/* Connect to Analog Globals */                                                  
#define EC_SCL_AG                     (* (reg8 *) EC_SCL__AG)                       
/* Analog MUX bux enable */
#define EC_SCL_AMUX                   (* (reg8 *) EC_SCL__AMUX) 
/* Bidirectional Enable */                                                        
#define EC_SCL_BIE                    (* (reg8 *) EC_SCL__BIE)
/* Bit-mask for Aliased Register Access */
#define EC_SCL_BIT_MASK               (* (reg8 *) EC_SCL__BIT_MASK)
/* Bypass Enable */
#define EC_SCL_BYP                    (* (reg8 *) EC_SCL__BYP)
/* Port wide control signals */                                                   
#define EC_SCL_CTL                    (* (reg8 *) EC_SCL__CTL)
/* Drive Modes */
#define EC_SCL_DM0                    (* (reg8 *) EC_SCL__DM0) 
#define EC_SCL_DM1                    (* (reg8 *) EC_SCL__DM1)
#define EC_SCL_DM2                    (* (reg8 *) EC_SCL__DM2) 
/* Input Buffer Disable Override */
#define EC_SCL_INP_DIS                (* (reg8 *) EC_SCL__INP_DIS)
/* LCD Common or Segment Drive */
#define EC_SCL_LCD_COM_SEG            (* (reg8 *) EC_SCL__LCD_COM_SEG)
/* Enable Segment LCD */
#define EC_SCL_LCD_EN                 (* (reg8 *) EC_SCL__LCD_EN)
/* Slew Rate Control */
#define EC_SCL_SLW                    (* (reg8 *) EC_SCL__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define EC_SCL_PRTDSI__CAPS_SEL       (* (reg8 *) EC_SCL__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define EC_SCL_PRTDSI__DBL_SYNC_IN    (* (reg8 *) EC_SCL__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define EC_SCL_PRTDSI__OE_SEL0        (* (reg8 *) EC_SCL__PRTDSI__OE_SEL0) 
#define EC_SCL_PRTDSI__OE_SEL1        (* (reg8 *) EC_SCL__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define EC_SCL_PRTDSI__OUT_SEL0       (* (reg8 *) EC_SCL__PRTDSI__OUT_SEL0) 
#define EC_SCL_PRTDSI__OUT_SEL1       (* (reg8 *) EC_SCL__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define EC_SCL_PRTDSI__SYNC_OUT       (* (reg8 *) EC_SCL__PRTDSI__SYNC_OUT) 


#if defined(EC_SCL__INTSTAT)  /* Interrupt Registers */

    #define EC_SCL_INTSTAT                (* (reg8 *) EC_SCL__INTSTAT)
    #define EC_SCL_SNAP                   (* (reg8 *) EC_SCL__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins EC_SCL_H */


/* [] END OF FILE */
