/*******************************************************************************
* File Name: EC_SCLK.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_EC_SCLK_H) /* Pins EC_SCLK_H */
#define CY_PINS_EC_SCLK_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "EC_SCLK_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    EC_SCLK_Write(uint8 value) ;
void    EC_SCLK_SetDriveMode(uint8 mode) ;
uint8   EC_SCLK_ReadDataReg(void) ;
uint8   EC_SCLK_Read(void) ;
uint8   EC_SCLK_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define EC_SCLK_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define EC_SCLK_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define EC_SCLK_DM_RES_UP          PIN_DM_RES_UP
#define EC_SCLK_DM_RES_DWN         PIN_DM_RES_DWN
#define EC_SCLK_DM_OD_LO           PIN_DM_OD_LO
#define EC_SCLK_DM_OD_HI           PIN_DM_OD_HI
#define EC_SCLK_DM_STRONG          PIN_DM_STRONG
#define EC_SCLK_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define EC_SCLK_MASK               EC_SCLK__MASK
#define EC_SCLK_SHIFT              EC_SCLK__SHIFT
#define EC_SCLK_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define EC_SCLK_PS                     (* (reg8 *) EC_SCLK__PS)
/* Data Register */
#define EC_SCLK_DR                     (* (reg8 *) EC_SCLK__DR)
/* Port Number */
#define EC_SCLK_PRT_NUM                (* (reg8 *) EC_SCLK__PRT) 
/* Connect to Analog Globals */                                                  
#define EC_SCLK_AG                     (* (reg8 *) EC_SCLK__AG)                       
/* Analog MUX bux enable */
#define EC_SCLK_AMUX                   (* (reg8 *) EC_SCLK__AMUX) 
/* Bidirectional Enable */                                                        
#define EC_SCLK_BIE                    (* (reg8 *) EC_SCLK__BIE)
/* Bit-mask for Aliased Register Access */
#define EC_SCLK_BIT_MASK               (* (reg8 *) EC_SCLK__BIT_MASK)
/* Bypass Enable */
#define EC_SCLK_BYP                    (* (reg8 *) EC_SCLK__BYP)
/* Port wide control signals */                                                   
#define EC_SCLK_CTL                    (* (reg8 *) EC_SCLK__CTL)
/* Drive Modes */
#define EC_SCLK_DM0                    (* (reg8 *) EC_SCLK__DM0) 
#define EC_SCLK_DM1                    (* (reg8 *) EC_SCLK__DM1)
#define EC_SCLK_DM2                    (* (reg8 *) EC_SCLK__DM2) 
/* Input Buffer Disable Override */
#define EC_SCLK_INP_DIS                (* (reg8 *) EC_SCLK__INP_DIS)
/* LCD Common or Segment Drive */
#define EC_SCLK_LCD_COM_SEG            (* (reg8 *) EC_SCLK__LCD_COM_SEG)
/* Enable Segment LCD */
#define EC_SCLK_LCD_EN                 (* (reg8 *) EC_SCLK__LCD_EN)
/* Slew Rate Control */
#define EC_SCLK_SLW                    (* (reg8 *) EC_SCLK__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define EC_SCLK_PRTDSI__CAPS_SEL       (* (reg8 *) EC_SCLK__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define EC_SCLK_PRTDSI__DBL_SYNC_IN    (* (reg8 *) EC_SCLK__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define EC_SCLK_PRTDSI__OE_SEL0        (* (reg8 *) EC_SCLK__PRTDSI__OE_SEL0) 
#define EC_SCLK_PRTDSI__OE_SEL1        (* (reg8 *) EC_SCLK__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define EC_SCLK_PRTDSI__OUT_SEL0       (* (reg8 *) EC_SCLK__PRTDSI__OUT_SEL0) 
#define EC_SCLK_PRTDSI__OUT_SEL1       (* (reg8 *) EC_SCLK__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define EC_SCLK_PRTDSI__SYNC_OUT       (* (reg8 *) EC_SCLK__PRTDSI__SYNC_OUT) 


#if defined(EC_SCLK__INTSTAT)  /* Interrupt Registers */

    #define EC_SCLK_INTSTAT                (* (reg8 *) EC_SCLK__INTSTAT)
    #define EC_SCLK_SNAP                   (* (reg8 *) EC_SCLK__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins EC_SCLK_H */


/* [] END OF FILE */
