/*******************************************************************************
* File Name: EC_SDA.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_EC_SDA_H) /* Pins EC_SDA_H */
#define CY_PINS_EC_SDA_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "EC_SDA_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    EC_SDA_Write(uint8 value) ;
void    EC_SDA_SetDriveMode(uint8 mode) ;
uint8   EC_SDA_ReadDataReg(void) ;
uint8   EC_SDA_Read(void) ;
uint8   EC_SDA_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define EC_SDA_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define EC_SDA_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define EC_SDA_DM_RES_UP          PIN_DM_RES_UP
#define EC_SDA_DM_RES_DWN         PIN_DM_RES_DWN
#define EC_SDA_DM_OD_LO           PIN_DM_OD_LO
#define EC_SDA_DM_OD_HI           PIN_DM_OD_HI
#define EC_SDA_DM_STRONG          PIN_DM_STRONG
#define EC_SDA_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define EC_SDA_MASK               EC_SDA__MASK
#define EC_SDA_SHIFT              EC_SDA__SHIFT
#define EC_SDA_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define EC_SDA_PS                     (* (reg8 *) EC_SDA__PS)
/* Data Register */
#define EC_SDA_DR                     (* (reg8 *) EC_SDA__DR)
/* Port Number */
#define EC_SDA_PRT_NUM                (* (reg8 *) EC_SDA__PRT) 
/* Connect to Analog Globals */                                                  
#define EC_SDA_AG                     (* (reg8 *) EC_SDA__AG)                       
/* Analog MUX bux enable */
#define EC_SDA_AMUX                   (* (reg8 *) EC_SDA__AMUX) 
/* Bidirectional Enable */                                                        
#define EC_SDA_BIE                    (* (reg8 *) EC_SDA__BIE)
/* Bit-mask for Aliased Register Access */
#define EC_SDA_BIT_MASK               (* (reg8 *) EC_SDA__BIT_MASK)
/* Bypass Enable */
#define EC_SDA_BYP                    (* (reg8 *) EC_SDA__BYP)
/* Port wide control signals */                                                   
#define EC_SDA_CTL                    (* (reg8 *) EC_SDA__CTL)
/* Drive Modes */
#define EC_SDA_DM0                    (* (reg8 *) EC_SDA__DM0) 
#define EC_SDA_DM1                    (* (reg8 *) EC_SDA__DM1)
#define EC_SDA_DM2                    (* (reg8 *) EC_SDA__DM2) 
/* Input Buffer Disable Override */
#define EC_SDA_INP_DIS                (* (reg8 *) EC_SDA__INP_DIS)
/* LCD Common or Segment Drive */
#define EC_SDA_LCD_COM_SEG            (* (reg8 *) EC_SDA__LCD_COM_SEG)
/* Enable Segment LCD */
#define EC_SDA_LCD_EN                 (* (reg8 *) EC_SDA__LCD_EN)
/* Slew Rate Control */
#define EC_SDA_SLW                    (* (reg8 *) EC_SDA__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define EC_SDA_PRTDSI__CAPS_SEL       (* (reg8 *) EC_SDA__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define EC_SDA_PRTDSI__DBL_SYNC_IN    (* (reg8 *) EC_SDA__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define EC_SDA_PRTDSI__OE_SEL0        (* (reg8 *) EC_SDA__PRTDSI__OE_SEL0) 
#define EC_SDA_PRTDSI__OE_SEL1        (* (reg8 *) EC_SDA__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define EC_SDA_PRTDSI__OUT_SEL0       (* (reg8 *) EC_SDA__PRTDSI__OUT_SEL0) 
#define EC_SDA_PRTDSI__OUT_SEL1       (* (reg8 *) EC_SDA__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define EC_SDA_PRTDSI__SYNC_OUT       (* (reg8 *) EC_SDA__PRTDSI__SYNC_OUT) 


#if defined(EC_SDA__INTSTAT)  /* Interrupt Registers */

    #define EC_SDA_INTSTAT                (* (reg8 *) EC_SDA__INTSTAT)
    #define EC_SDA_SNAP                   (* (reg8 *) EC_SDA__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins EC_SDA_H */


/* [] END OF FILE */
