/*******************************************************************************
* File Name: EC_SOMI.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_EC_SOMI_H) /* Pins EC_SOMI_H */
#define CY_PINS_EC_SOMI_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "EC_SOMI_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    EC_SOMI_Write(uint8 value) ;
void    EC_SOMI_SetDriveMode(uint8 mode) ;
uint8   EC_SOMI_ReadDataReg(void) ;
uint8   EC_SOMI_Read(void) ;
uint8   EC_SOMI_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define EC_SOMI_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define EC_SOMI_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define EC_SOMI_DM_RES_UP          PIN_DM_RES_UP
#define EC_SOMI_DM_RES_DWN         PIN_DM_RES_DWN
#define EC_SOMI_DM_OD_LO           PIN_DM_OD_LO
#define EC_SOMI_DM_OD_HI           PIN_DM_OD_HI
#define EC_SOMI_DM_STRONG          PIN_DM_STRONG
#define EC_SOMI_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define EC_SOMI_MASK               EC_SOMI__MASK
#define EC_SOMI_SHIFT              EC_SOMI__SHIFT
#define EC_SOMI_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define EC_SOMI_PS                     (* (reg8 *) EC_SOMI__PS)
/* Data Register */
#define EC_SOMI_DR                     (* (reg8 *) EC_SOMI__DR)
/* Port Number */
#define EC_SOMI_PRT_NUM                (* (reg8 *) EC_SOMI__PRT) 
/* Connect to Analog Globals */                                                  
#define EC_SOMI_AG                     (* (reg8 *) EC_SOMI__AG)                       
/* Analog MUX bux enable */
#define EC_SOMI_AMUX                   (* (reg8 *) EC_SOMI__AMUX) 
/* Bidirectional Enable */                                                        
#define EC_SOMI_BIE                    (* (reg8 *) EC_SOMI__BIE)
/* Bit-mask for Aliased Register Access */
#define EC_SOMI_BIT_MASK               (* (reg8 *) EC_SOMI__BIT_MASK)
/* Bypass Enable */
#define EC_SOMI_BYP                    (* (reg8 *) EC_SOMI__BYP)
/* Port wide control signals */                                                   
#define EC_SOMI_CTL                    (* (reg8 *) EC_SOMI__CTL)
/* Drive Modes */
#define EC_SOMI_DM0                    (* (reg8 *) EC_SOMI__DM0) 
#define EC_SOMI_DM1                    (* (reg8 *) EC_SOMI__DM1)
#define EC_SOMI_DM2                    (* (reg8 *) EC_SOMI__DM2) 
/* Input Buffer Disable Override */
#define EC_SOMI_INP_DIS                (* (reg8 *) EC_SOMI__INP_DIS)
/* LCD Common or Segment Drive */
#define EC_SOMI_LCD_COM_SEG            (* (reg8 *) EC_SOMI__LCD_COM_SEG)
/* Enable Segment LCD */
#define EC_SOMI_LCD_EN                 (* (reg8 *) EC_SOMI__LCD_EN)
/* Slew Rate Control */
#define EC_SOMI_SLW                    (* (reg8 *) EC_SOMI__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define EC_SOMI_PRTDSI__CAPS_SEL       (* (reg8 *) EC_SOMI__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define EC_SOMI_PRTDSI__DBL_SYNC_IN    (* (reg8 *) EC_SOMI__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define EC_SOMI_PRTDSI__OE_SEL0        (* (reg8 *) EC_SOMI__PRTDSI__OE_SEL0) 
#define EC_SOMI_PRTDSI__OE_SEL1        (* (reg8 *) EC_SOMI__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define EC_SOMI_PRTDSI__OUT_SEL0       (* (reg8 *) EC_SOMI__PRTDSI__OUT_SEL0) 
#define EC_SOMI_PRTDSI__OUT_SEL1       (* (reg8 *) EC_SOMI__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define EC_SOMI_PRTDSI__SYNC_OUT       (* (reg8 *) EC_SOMI__PRTDSI__SYNC_OUT) 


#if defined(EC_SOMI__INTSTAT)  /* Interrupt Registers */

    #define EC_SOMI_INTSTAT                (* (reg8 *) EC_SOMI__INTSTAT)
    #define EC_SOMI_SNAP                   (* (reg8 *) EC_SOMI__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins EC_SOMI_H */


/* [] END OF FILE */
