/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#ifndef EtherCAT_LED_HEADER
#define EtherCAT_LED_HEADER

#include "cytypes.h"
#include "cyfitter.h"
#include <cydevice.h>

// A0 register and pointer definitions
#define EtherCAT_LED_A0_PTR			((reg16 *) EtherCAT_LED_datapath_u0__16BIT_A0_REG)
#define EtherCAT_LED_A0_REG			(*(reg16 *) EtherCAT_LED_datapath_u0__16BIT_A0_REG)

// A1 register and pointer definitions
#define EtherCAT_LED_A1_PTR			((reg16 *) EtherCAT_LED_datapath_u0__16BIT_A1_REG)
#define EtherCAT_LED_A1_REG			(*(reg16 *) EtherCAT_LED_datapath_u0__16BIT_A1_REG)

// D0 register and pointer definitions
#define EtherCAT_LED_D0_PTR			( (reg16 *) EtherCAT_LED_datapath_u0__16BIT_D0_REG)
#define EtherCAT_LED_D0_REG			(*(reg16 *) EtherCAT_LED_datapath_u0__16BIT_D0_REG)

#define EtherCAT_LED_D0_U0_PTR      ( (reg8 *) EtherCAT_LED_datapath_u0__D0_REG)
#define EtherCAT_LED_D0_U1_PTR      ( (reg8 *) EtherCAT_LED_datapath_u1__D0_REG)

#define EtherCAT_LED_D0_U0_REG      (*(reg8 *) EtherCAT_LED_datapath_u0__D0_REG)
#define EtherCAT_LED_D0_U1_REG      (*(reg8 *) EtherCAT_LED_datapath_u1__D0_REG)

// D1 register and pointer definitions
#define EtherCAT_LED_D1_PTR			((reg16 *) EtherCAT_LED_datapath_u0__16BIT_D1_REG)
#define EtherCAT_LED_D1_REG			(*(reg16 *) EtherCAT_LED_datapath_u0__16BIT_D1_REG)

// F0 register and pointer definitions
#define EtherCAT_LED_F0_PTR			((reg16 *) EtherCAT_LED_datapath_u0__16BIT_F0_REG)
#define EtherCAT_LED_F0_REG			(*(reg16 *) EtherCAT_LED_datapath_u0__16BIT_F0_REG)

// F1 register and pointer definitions
#define EtherCAT_LED_F1_PTR			((reg16 *) EtherCAT_LED_datapath_u0__16BIT_F1_REG)
#define EtherCAT_LED_F1_REG			(*(reg16 *) EtherCAT_LED_datapath_u0__16BIT_F1_REG)

// AUX CTL register and pointer definitions
#define EtherCAT_LED_AUX_CTL_A_PTR	((reg8 *) EtherCAT_LED_datapath_u0__DP_AUX_CTL_REG)
#define EtherCAT_LED_AUX_CTL_A_REG	(*(reg8 *) EtherCAT_LED_datapath_u0__DP_AUX_CTL_REG)

// AUX CTL register and pointer definitions
#define EtherCAT_LED_AUX_CTL_B_PTR	((reg8 *) EtherCAT_LED_datapath_u1__DP_AUX_CTL_REG)
#define EtherCAT_LED_AUX_CTL_B_REG	(*(reg8 *) EtherCAT_LED_datapath_u1__DP_AUX_CTL_REG)

// AUX CTL definitions
//  ----------------- MASKS ----------------------
#define EtherCAT_LED_F1_LEVEL_MASK				(0x08u)
#define EtherCAT_LED_F0_LEVEL_MASK				(0x04u)
#define EtherCAT_LED_F1_SINGLE_BUFFER_MASK		(0x02u)
#define EtherCAT_LED_F0_SINGLE_BUFFER_MASK		(0x01u)

//  ----------------- MODES ----------------------
#define EtherCAT_LED_F1_LEVEL_MODE_0			(0u)
#define EtherCAT_LED_F1_LEVEL_MODE_1			(1u)

#define EtherCAT_LED_F0_LEVEL_MODE_0			(0u)
#define EtherCAT_LED_F0_LEVEL_MODE_1			(1u)

#define EtherCAT_LED_F1_SINGLE_BUFFER_DISABLE	(0u)
#define EtherCAT_LED_F1_SINGLE_BUFFER_ENABLE	(1u)

#define EtherCAT_LED_F0_SINGLE_BUFFER_DISABLE	(0u)
#define EtherCAT_LED_F0_SINGLE_BUFFER_ENABLE	(1u)

// ----------------- SHIFT -----------------------
#define EtherCAT_LED_F1_LEVEL_SHIFT				(3u)
#define EtherCAT_LED_F0_LEVEL_SHIFT				(2u)
#define EtherCAT_LED_F1_SINGLE_BUFFER_SHIFT		(1u)
#define EtherCAT_LED_F0_SINGLE_BUFFER_SHIFT		(0u)

// AUX CTL definitions
//  ----------------- MASKS ----------------------
#define EtherCAT_LED_F1_LEVEL_MASK				(0x08u)
#define EtherCAT_LED_F0_LEVEL_MASK				(0x04u)
#define EtherCAT_LED_F1_SINGLE_BUFFER_MASK		(0x02u)
#define EtherCAT_LED_F0_SINGLE_BUFFER_MASK		(0x01u)

//  ----------------- MODES ----------------------
#define EtherCAT_LED_F1_LEVEL_MODE_0			(0u)
#define EtherCAT_LED_F1_LEVEL_MODE_1			(1u)

#define EtherCAT_LED_F0_LEVEL_MODE_0			(0u)
#define EtherCAT_LED_F0_LEVEL_MODE_1			(1u)

#define EtherCAT_LED_F1_SINGLE_BUFFER_DISABLE	(0u)
#define EtherCAT_LED_F1_SINGLE_BUFFER_ENABLE	(1u)

#define EtherCAT_LED_F0_SINGLE_BUFFER_DISABLE	(0u)
#define EtherCAT_LED_F0_SINGLE_BUFFER_ENABLE	(1u)

// ----------------- SHIFT -----------------------
#define EtherCAT_LED_F1_LEVEL_SHIFT				(3u)
#define EtherCAT_LED_F0_LEVEL_SHIFT				(2u)
#define EtherCAT_LED_F1_SINGLE_BUFFER_SHIFT		(1u)
#define EtherCAT_LED_F0_SINGLE_BUFFER_SHIFT		(0u)

void EtherCAT_LED_Start();
//void EtherCAT_LED_Set_Flash(uint16 flash_pattern, uint16 clock_divider);
void EtherCAT_LED_Set_Flash(uint8 flash_pattern_L, uint8 flash_pattern_H, uint16 clock_divider);

//#define EtherCAT_LED_FLASH_PATTERN_ON               0xFF, 0xFF,  50
#define EtherCAT_LED_FLASH_PATTERN_OFF              0x00, 0x00,  50
#define EtherCAT_LED_FLASH_PATTERN_FLICKERING       0x80, 0x00,  50
#define EtherCAT_LED_FLASH_PATTERN_BLINKING         0x80, 0x00, 200
#define EtherCAT_LED_FLASH_PATTERN_SINGLE_FLASH     0x08, 0x00, 200
#define EtherCAT_LED_FLASH_PATTERN_DOUBLE_FLASH     0x0A, 0x00, 200
#define EtherCAT_LED_FLASH_PATTERN_TRIPLE_FLASH     0x0A, 0x80, 200
#define EtherCAT_LED_FLASH_PATTERN_QUADRUPLE_FLASH  0x0A, 0xA0, 200
#define EtherCAT_LED_FORCE_LED_OFF                  0x00
#define EtherCAT_LED_FORCE_LED_ON                   0x03
#define EtherCAT_LED_ALLOW_LED_PATTERN              0x01

#endif
//[] END OF FILE
