/*******************************************************************************
* File Name: Mux_ADC.h
* Version 1.70
*
*  Description:
*    This file contains the constants and function prototypes for the AMuxSeq.
*
*   Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_AMUXSEQ_Mux_ADC_H)
#define CY_AMUXSEQ_Mux_ADC_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cyfitter_cfg.h"


/***************************************
*        Function Prototypes
***************************************/

void Mux_ADC_Start(void);
void Mux_ADC_Init(void);
void Mux_ADC_Stop(void);
void Mux_ADC_Next(void);
void Mux_ADC_DisconnectAll(void);
int8 Mux_ADC_GetChannel(void);


/***************************************
*     Initial Parameter Constants
***************************************/
#define Mux_ADC_CHANNELS  10
#define Mux_ADC_MUXTYPE   1


/***************************************
*             API Constants
***************************************/

#define Mux_ADC_MUX_SINGLE   1
#define Mux_ADC_MUX_DIFF     2

#endif /* CY_AMUXSEQ_Mux_ADC_H */


/* [] END OF FILE */
