/*******************************************************************************
* File Name: QI_2.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_QI_2_H) /* Pins QI_2_H */
#define CY_PINS_QI_2_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "QI_2_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    QI_2_Write(uint8 value) ;
void    QI_2_SetDriveMode(uint8 mode) ;
uint8   QI_2_ReadDataReg(void) ;
uint8   QI_2_Read(void) ;
uint8   QI_2_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define QI_2_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define QI_2_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define QI_2_DM_RES_UP          PIN_DM_RES_UP
#define QI_2_DM_RES_DWN         PIN_DM_RES_DWN
#define QI_2_DM_OD_LO           PIN_DM_OD_LO
#define QI_2_DM_OD_HI           PIN_DM_OD_HI
#define QI_2_DM_STRONG          PIN_DM_STRONG
#define QI_2_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define QI_2_MASK               QI_2__MASK
#define QI_2_SHIFT              QI_2__SHIFT
#define QI_2_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define QI_2_PS                     (* (reg8 *) QI_2__PS)
/* Data Register */
#define QI_2_DR                     (* (reg8 *) QI_2__DR)
/* Port Number */
#define QI_2_PRT_NUM                (* (reg8 *) QI_2__PRT) 
/* Connect to Analog Globals */                                                  
#define QI_2_AG                     (* (reg8 *) QI_2__AG)                       
/* Analog MUX bux enable */
#define QI_2_AMUX                   (* (reg8 *) QI_2__AMUX) 
/* Bidirectional Enable */                                                        
#define QI_2_BIE                    (* (reg8 *) QI_2__BIE)
/* Bit-mask for Aliased Register Access */
#define QI_2_BIT_MASK               (* (reg8 *) QI_2__BIT_MASK)
/* Bypass Enable */
#define QI_2_BYP                    (* (reg8 *) QI_2__BYP)
/* Port wide control signals */                                                   
#define QI_2_CTL                    (* (reg8 *) QI_2__CTL)
/* Drive Modes */
#define QI_2_DM0                    (* (reg8 *) QI_2__DM0) 
#define QI_2_DM1                    (* (reg8 *) QI_2__DM1)
#define QI_2_DM2                    (* (reg8 *) QI_2__DM2) 
/* Input Buffer Disable Override */
#define QI_2_INP_DIS                (* (reg8 *) QI_2__INP_DIS)
/* LCD Common or Segment Drive */
#define QI_2_LCD_COM_SEG            (* (reg8 *) QI_2__LCD_COM_SEG)
/* Enable Segment LCD */
#define QI_2_LCD_EN                 (* (reg8 *) QI_2__LCD_EN)
/* Slew Rate Control */
#define QI_2_SLW                    (* (reg8 *) QI_2__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define QI_2_PRTDSI__CAPS_SEL       (* (reg8 *) QI_2__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define QI_2_PRTDSI__DBL_SYNC_IN    (* (reg8 *) QI_2__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define QI_2_PRTDSI__OE_SEL0        (* (reg8 *) QI_2__PRTDSI__OE_SEL0) 
#define QI_2_PRTDSI__OE_SEL1        (* (reg8 *) QI_2__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define QI_2_PRTDSI__OUT_SEL0       (* (reg8 *) QI_2__PRTDSI__OUT_SEL0) 
#define QI_2_PRTDSI__OUT_SEL1       (* (reg8 *) QI_2__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define QI_2_PRTDSI__SYNC_OUT       (* (reg8 *) QI_2__PRTDSI__SYNC_OUT) 


#if defined(QI_2__INTSTAT)  /* Interrupt Registers */

    #define QI_2_INTSTAT                (* (reg8 *) QI_2__INTSTAT)
    #define QI_2_SNAP                   (* (reg8 *) QI_2__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins QI_2_H */


/* [] END OF FILE */
