/*******************************************************************************
* File Name: RESET_ET1200.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_RESET_ET1200_H) /* Pins RESET_ET1200_H */
#define CY_PINS_RESET_ET1200_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "RESET_ET1200_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    RESET_ET1200_Write(uint8 value) ;
void    RESET_ET1200_SetDriveMode(uint8 mode) ;
uint8   RESET_ET1200_ReadDataReg(void) ;
uint8   RESET_ET1200_Read(void) ;
uint8   RESET_ET1200_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define RESET_ET1200_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define RESET_ET1200_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define RESET_ET1200_DM_RES_UP          PIN_DM_RES_UP
#define RESET_ET1200_DM_RES_DWN         PIN_DM_RES_DWN
#define RESET_ET1200_DM_OD_LO           PIN_DM_OD_LO
#define RESET_ET1200_DM_OD_HI           PIN_DM_OD_HI
#define RESET_ET1200_DM_STRONG          PIN_DM_STRONG
#define RESET_ET1200_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define RESET_ET1200_MASK               RESET_ET1200__MASK
#define RESET_ET1200_SHIFT              RESET_ET1200__SHIFT
#define RESET_ET1200_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define RESET_ET1200_PS                     (* (reg8 *) RESET_ET1200__PS)
/* Data Register */
#define RESET_ET1200_DR                     (* (reg8 *) RESET_ET1200__DR)
/* Port Number */
#define RESET_ET1200_PRT_NUM                (* (reg8 *) RESET_ET1200__PRT) 
/* Connect to Analog Globals */                                                  
#define RESET_ET1200_AG                     (* (reg8 *) RESET_ET1200__AG)                       
/* Analog MUX bux enable */
#define RESET_ET1200_AMUX                   (* (reg8 *) RESET_ET1200__AMUX) 
/* Bidirectional Enable */                                                        
#define RESET_ET1200_BIE                    (* (reg8 *) RESET_ET1200__BIE)
/* Bit-mask for Aliased Register Access */
#define RESET_ET1200_BIT_MASK               (* (reg8 *) RESET_ET1200__BIT_MASK)
/* Bypass Enable */
#define RESET_ET1200_BYP                    (* (reg8 *) RESET_ET1200__BYP)
/* Port wide control signals */                                                   
#define RESET_ET1200_CTL                    (* (reg8 *) RESET_ET1200__CTL)
/* Drive Modes */
#define RESET_ET1200_DM0                    (* (reg8 *) RESET_ET1200__DM0) 
#define RESET_ET1200_DM1                    (* (reg8 *) RESET_ET1200__DM1)
#define RESET_ET1200_DM2                    (* (reg8 *) RESET_ET1200__DM2) 
/* Input Buffer Disable Override */
#define RESET_ET1200_INP_DIS                (* (reg8 *) RESET_ET1200__INP_DIS)
/* LCD Common or Segment Drive */
#define RESET_ET1200_LCD_COM_SEG            (* (reg8 *) RESET_ET1200__LCD_COM_SEG)
/* Enable Segment LCD */
#define RESET_ET1200_LCD_EN                 (* (reg8 *) RESET_ET1200__LCD_EN)
/* Slew Rate Control */
#define RESET_ET1200_SLW                    (* (reg8 *) RESET_ET1200__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define RESET_ET1200_PRTDSI__CAPS_SEL       (* (reg8 *) RESET_ET1200__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define RESET_ET1200_PRTDSI__DBL_SYNC_IN    (* (reg8 *) RESET_ET1200__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define RESET_ET1200_PRTDSI__OE_SEL0        (* (reg8 *) RESET_ET1200__PRTDSI__OE_SEL0) 
#define RESET_ET1200_PRTDSI__OE_SEL1        (* (reg8 *) RESET_ET1200__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define RESET_ET1200_PRTDSI__OUT_SEL0       (* (reg8 *) RESET_ET1200__PRTDSI__OUT_SEL0) 
#define RESET_ET1200_PRTDSI__OUT_SEL1       (* (reg8 *) RESET_ET1200__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define RESET_ET1200_PRTDSI__SYNC_OUT       (* (reg8 *) RESET_ET1200__PRTDSI__SYNC_OUT) 


#if defined(RESET_ET1200__INTSTAT)  /* Interrupt Registers */

    #define RESET_ET1200_INTSTAT                (* (reg8 *) RESET_ET1200__INTSTAT)
    #define RESET_ET1200_SNAP                   (* (reg8 *) RESET_ET1200__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins RESET_ET1200_H */


/* [] END OF FILE */
