/*******************************************************************************
* File Name: Sleep_1.c  
* Version 2.10
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "cytypes.h"
#include "Sleep_1.h"


/*******************************************************************************
* Function Name: Sleep_1_Write
********************************************************************************
*
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  None 
*  
*******************************************************************************/
void Sleep_1_Write(uint8 value) 
{
    uint8 staticBits = (Sleep_1_DR & (uint8)(~Sleep_1_MASK));
    Sleep_1_DR = staticBits | ((uint8)(value << Sleep_1_SHIFT) & Sleep_1_MASK);
}


/*******************************************************************************
* Function Name: Sleep_1_SetDriveMode
********************************************************************************
*
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to one of the following drive modes.
*
*  Sleep_1_DM_STRONG     Strong Drive 
*  Sleep_1_DM_OD_HI      Open Drain, Drives High 
*  Sleep_1_DM_OD_LO      Open Drain, Drives Low 
*  Sleep_1_DM_RES_UP     Resistive Pull Up 
*  Sleep_1_DM_RES_DWN    Resistive Pull Down 
*  Sleep_1_DM_RES_UPDWN  Resistive Pull Up/Down 
*  Sleep_1_DM_DIG_HIZ    High Impedance Digital 
*  Sleep_1_DM_ALG_HIZ    High Impedance Analog 
*
* Return: 
*  None
*
*******************************************************************************/
void Sleep_1_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(Sleep_1_0, mode);
}


/*******************************************************************************
* Function Name: Sleep_1_Read
********************************************************************************
*
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro Sleep_1_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 Sleep_1_Read(void) 
{
    return (Sleep_1_PS & Sleep_1_MASK) >> Sleep_1_SHIFT;
}


/*******************************************************************************
* Function Name: Sleep_1_ReadDataReg
********************************************************************************
*
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 Sleep_1_ReadDataReg(void) 
{
    return (Sleep_1_DR & Sleep_1_MASK) >> Sleep_1_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(Sleep_1_INTSTAT) 

    /*******************************************************************************
    * Function Name: Sleep_1_ClearInterrupt
    ********************************************************************************
    *
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  None 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 Sleep_1_ClearInterrupt(void) 
    {
        return (Sleep_1_INTSTAT & Sleep_1_MASK) >> Sleep_1_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 


/* [] END OF FILE */
